Bug 1406408 - CVE-2016-9591 CVE-2016-9600 CVE-2016-10251 jasper: various flaws [fedora-all]
Summary: CVE-2016-9591 CVE-2016-9600 CVE-2016-10251 jasper: various flaws [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: jasper
Version: 25
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Josef Ridky
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2016-9591 CVE-2016-9600 CVE-2016-10251
TreeView+ depends on / blocked
 
Reported: 2016-12-20 13:08 UTC by Martin Prpič
Modified: 2017-05-18 20:59 UTC (History)
3 users (show)

Fixed In Version: jasper-1.900.13-4.fc25 jasper-1.900.13-4.fc24
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-16 21:57:41 UTC


Attachments (Terms of Use)

Description Martin Prpič 2016-12-20 13:08:04 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Andrej Nemec 2017-01-04 09:16:09 UTC
Adding parent bug 1410026 (for CVE-2016-9600).  Please use this new fedpkg update template when submitting the update:

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1406408,1406405,1410026

# Description of your update
notes=Security fix for CVE-2016-9591, CVE-2016-9600

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Comment 2 Josef Ridky 2017-03-13 09:24:52 UTC
I am not able to solve this bz due missing fixes for some of CVE. Please, split this bz to several (for each CVE), so I will be able to fix that CVE, which has been already fixed in upstream.

Comment 3 Tomas Hoger 2017-04-05 08:38:47 UTC
Updating summary to remove CVEs previously unlinked form this bug.

Comment 4 Tomas Hoger 2017-04-05 08:41:47 UTC
Adding CVE-2016-10251 moved from bug 1434464.

Comment 5 Tomas Hoger 2017-04-05 08:58:50 UTC
Removing CVE-2017-5503 CVE-2017-5504 CVE-2017-5505 not yet fixed upstream.

Comment 6 Tomas Hoger 2017-04-05 09:08:55 UTC
Covered by patch in bug 1396986 comment 8.

Comment 7 Fedora Update System 2017-05-11 11:27:07 UTC
jasper-1.900.13-4.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-da0b00fd64

Comment 8 Fedora Update System 2017-05-11 11:27:26 UTC
jasper-1.900.13-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfc20d5d45

Comment 9 Fedora Update System 2017-05-12 13:36:45 UTC
jasper-1.900.13-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cfc20d5d45

Comment 10 Fedora Update System 2017-05-12 22:34:45 UTC
jasper-1.900.13-4.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-da0b00fd64

Comment 11 Fedora Update System 2017-05-16 21:57:41 UTC
jasper-1.900.13-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-05-17 06:03:12 UTC
jasper-1.900.13-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-05-18 20:59:48 UTC
jasper-1.900.13-4.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.